NullPointerException (NPE) in ManifestComposer.representationPartsTolmageContent()
Description

15:51:31.562 [cichorieae] [gtp990416209-33917] INFO e.e.c.r.c.iiif.ManifestController - doGetMedi
a() GET: /cichorieae/iiif/taxon/aecd40ae-b77d-495b-a63f-a294c8287089/manifest?type=ImageFiles&relat
ionships=&relationshipsInvers=&includeTaxonDescriptions=1&includeOccurrences=&includeTaxonNameDesc
riptions=&includeTaxonomicChildren=

15:51:32.097 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_Bc_01/full/!400,400/0/default. jpg
15:51:33.008 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_A_03/full/!400,400/0/default. jpg
15:51:33.955 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_Ba_02/full/!400,400/0/default. jpg
15:51:35.083 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_Bc_05/full/!400,400/0/default. jpg
15:51:35.862 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_Bc_06/full/!400,400/0/default. jpg
15:51:36.766 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_A_08/full/!400,400/0/default. jpg
15:51:37.952 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_Bc_13/full/!'400,400/0/default. jpg
15:51:38.335 [cichorieae] [gtp990416209-33917] INFO e.e.cdm.common.media.CdmImageInfo - Content-L
ength not available in http header. Image size computed via input stream size: https://pictures.bg
bm.org/digilib/Scaler/IIIF/Cichorieae!Melanoseris_cyanea_Bc_14/full/!400,400/0/default. jpg
15:51:38.531 [cichorieae] [gtp990416209-33917] WARN e.e.cdm.servlet.DateHeaderFilter - Can not ad
d data header.

org.springframework.web.util.NestedServletException: Request processing failed; nested exception i
s java.lang.NullPointerException

Caused by: java.lang.NullPointerException: null

at eu.etaxonomy.cdm.remote.controller.iiif.ManifestComposer.representationPartsToImageCont
ent (ManifestComposer.java:539)

at eu.etaxonomy.cdm.remote.controller.iiif.ManifestComposer.manifestFor (ManifestComposer.j
ava:149)

at eu.etaxonomy.cdm.remote.controller.iiif.ManifestController.doTaxonMedia (ManifestControl
ler.java:122)

at sun.reflect.GeneratedMethodAccessor52470.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke (InvocableHandler
Method. java:205)

at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest (Invocabl
eHandlerMethod. java:133)
at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.inv
okeAndHandle (ServletInvocableHandlerMethod. java:97)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invo
keHandlerMethod (RequestMappingHandlerAdapter. java:854)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.hand
leInternal (RequestMappingHandlerAdapter. java:765)

at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle (Abstract
HandlerMethodAdapter.java:85)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:967

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:901)
at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:9
70)
80 common frames omitted

Associated revisions

Revision 7d7ffcf0 - 05/31/2021 02:25 PM - Andreas Kohlbecker
fix #9368 NullPointerException (NPE) in ManifestComposer

History

#1 - 01/27/2021 03:15 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#2 - 03/10/2021 02:55 PM - Andreas Miller

- Target version changed from Release 5.21 to Release 5.22

#3 - 04/20/2021 08:34 AM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#4 - 05/31/2021 02:25 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|7d7ffcf03bdb83d494cc09fdbd1c715353b634cd.

#5 - 05/31/2021 04:38 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

tested at
http:/test.e-taxonomy.eu/cdmserver/cichorieael/iiif/taxon/aecd40ae-b77d-495b-a63f-a294c8287089/manifest?type=ImageFile&relationships=&relation
shipsinvers=&includeTaxonDescriptions=1&includeOccurrences=_&includeTaxonNameDescriptions=&include TaxonomicChildren=

--> works

#6 - 06/01/2021 10:18 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.24
